> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth Complete

> Complete auth: issue refresh token if all required steps are validated.



## OpenAPI

````yaml /openapi.json post /api/v1/auth
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/auth:
    post:
      tags:
        - auth
      summary: Auth Complete
      description: 'Complete auth: issue refresh token if all required steps are validated.'
      operationId: auth_complete_api_v1_auth_post
      parameters:
        - name: user-agent
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User-Agent
        - name: cf-ipcountry
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cf-Ipcountry
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthCompleteRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AuthCompleteRequest:
      properties:
        sessionKey:
          type: string
          title: Sessionkey
          description: Session key from auth/start
      type: object
      required:
        - sessionKey
      title: AuthCompleteRequest
      description: Request for completing authentication.
    AuthSessionResponse:
      properties:
        refreshToken:
          type: string
          title: Refreshtoken
          description: JWT refresh token (7 days)
        tokenType:
          type: string
          title: Tokentype
          default: bearer
        userId:
          type: string
          title: Userid
          description: User UUID
        email:
          type: string
          title: Email
          description: User email
        isNewUser:
          type: boolean
          title: Isnewuser
          default: false
      type: object
      required:
        - refreshToken
        - userId
        - email
      title: AuthSessionResponse
      description: Response for POST /auth/complete — refresh token.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````